Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://dashboard.hologram.io/api/1/devices/tags \ --header 'Authorization: Basic <encoded-value>'
import requests url = "https://dashboard.hologram.io/api/1/devices/tags" headers = {"Authorization": "Basic <encoded-value>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}}; fetch('https://dashboard.hologram.io/api/1/devices/tags', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
const url = 'https://dashboard.hologram.io/api/1/devices/tags'; const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}}; fetch(url, options) .then(res => res.json()) .then(json => console.log(json)) .catch(err => console.error(err));
{ "success": true, "data": { "tags": [ { "id": 123, "name": "<string>", "deviceids": [ 123 ] } ] } }
Get all tags. If you specify an org, this will only return the tags for the org.
HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.
apikey
Filter results to this organization ID
Comma-separated list of device IDs to filter by
OK
Indicates whether the request was successful.
true
Show child attributes
Was this page helpful?